Bug 162139 - 4 * variable is used uninitialized
Summary: 4 * variable is used uninitialized
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-libs   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 09:56 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 01:50:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-06-30 09:56:46 UTC
Description of problem:

I just tried to compile package gnome-libs-1.4.1.2.90-46 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and
the compiler flag -Wall.

The compiler said

gnome-factory-stubs.c:115: warning: '_ORBIT_retval' is used uninitialized in
this function
gnome-factory-stubs.c:295: warning: '_ORBIT_retval' is used uninitialized in
this function
gnome-unknown-stubs.c:287: warning: '_ORBIT_retval' is used uninitialized in
this function
Table-stubs.c:152: warning: '_ORBIT_retval' is used uninitialized in this function

Suggest initialize _ORBIT_retval before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matthias Clasen 2006-07-26 01:50:01 UTC
gnome-libs has been removed from FC.


Note You need to log in before you can comment on or make changes to this bug.